Get Campaigns

http
GET https://services.leadconnectorhq.com/emails/schedule

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesohjiah0wdg3bzmzacvd6Account ID to fetch campaigns from
limitnumberNo7Maximum number of campaigns to return. Defaults to 10, maximum is 100
offsetnumberNo0Number of campaigns to skip for pagination
statusstringNoFilter by schedule status
emailStatusstringNoFilter by email delivery status
namestringNoBlack Friday CampaignFilter campaigns by name
parentIdstringNofolder123Filter campaigns by parent folder ID
limitedFieldsbooleanNofalseWhen true, returns only essential campaign fields like id, templateDataDownloadUrl, updatedAt, type, templateType, templateId, downloadUrl and isPlainText. When false, returns complete campaign data including meta information, bulkRequestStatusInfo, ABTestInfo, resendScheduleInfo and all other campaign properties
archivedbooleanNofalseFilter archived campaigns
campaignsOnlybooleanNofalseReturn only campaigns, excluding folders
showStatsbooleanNotrueWhen true, returns campaign statistics including delivered count, opened count, clicked count and revenue if available for the campaign. When false, returns campaign data without statistics.

Responses

200 - Success
  • schedules (object[], required): The list of campaigns

    • name (string, required): Example: Untitled new campaign

    • repeatAfter (string, required)

    • id (string, required)

    • parentId (string, required)

    • childCount (number, required)

    • campaignType (string, required)

    • bulkActionVersion (string, required)

    • _id (string, required)

    • status (string, required)

    • sendDays (string[], required)

    • deleted (boolean, required)

    • migrated (boolean, required)

    • archived (boolean, required)

    • hasTracking (boolean, required)

    • isPlainText (boolean, required)

    • hasUtmTracking (boolean, required)

    • enableResendToUnopened (boolean, required)

    • locationId (string, required)

    • templateId (string, required)

    • templateType (string, required)

    • createdAt (string, required)

    • updatedAt (string, required)

    • __v (number, required)

    • documentId (string, required)

    • downloadUrl (string, required)

    • templateDataDownloadUrl (string, required)

    • child (string[], required)

  • total (string[], required): The total number of campaigns

  • traceId (string, required): Trace Id

json
{
  "schedules": [
    {
      "name": "Untitled new campaign",
      "repeatAfter": "string",
      "id": "string",
      "parentId": "string",
      "childCount": 0,
      "campaignType": "string",
      "bulkActionVersion": "string",
      "_id": "string",
      "status": "string",
      "sendDays": [
        "string"
      ],
      "deleted": true,
      "migrated": true,
      "archived": true,
      "hasTracking": true,
      "isPlainText": true,
      "hasUtmTracking": true,
      "enableResendToUnopened": true,
      "locationId": "string",
      "templateId": "string",
      "templateType": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "__v": 0,
      "documentId": "string",
      "downloadUrl": "string",
      "templateDataDownloadUrl": "string",
      "child": [
        "string"
      ]
    }
  ],
  "total": [
    "string"
  ],
  // truncado: 2 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
403 - The token does not have access to this account
  • statusCode (number): Example: 403

  • message (string): Example: The token does not have access to this account

json
{
  "statusCode": 403,
  "message": "The token does not have access to this account"
}
404 - Not Found
  • statusCode (number): Example: 404

  • message (string): Example: Not Found

  • error (string): Example: The requested resource was not found

json
{
  "statusCode": 404,
  "message": "Not Found",
  "error": "The requested resource was not found"
}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/emails/schedule' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?